GET
/
v2
/
entity-logs
/
{entity_type}
/
{entity_id}
List paginated activity logs for one entity
curl --request GET \
  --url https://api-v2.watchcollect.com/v2/entity-logs/{entity_type}/{entity_id} \
  --header 'Authorization: Bearer <token>'
{
  "entity": {
    "id": "<string>",
    "label": "<string>"
  },
  "scope": "timeline",
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event_type": "ClassificationModelSelected",
      "event_version": 1,
      "action": "classification_model_selected",
      "summary": "Classification model changed",
      "occurred_at_ms": 123,
      "actor": {
        "id": "<string>",
        "display_name": "<string>"
      },
      "entity": {
        "id": "<string>",
        "label": "<string>"
      },
      "related_entities": [
        {
          "id": "<string>",
          "label": "<string>"
        }
      ],
      "changes": [
        {
          "field": "model_profile_id",
          "label": "Model profile",
          "before": "<string>",
          "after": "<string>"
        }
      ],
      "details": [
        {
          "key": "connector_id",
          "value": "openrouter",
          "label": "Connector"
        }
      ],
      "source": {
        "request_id": "<string>",
        "command_id": "<string>",
        "service": "<string>"
      },
      "redacted": true
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

entity_type
enum<string>
required
Available options:
watch_listing,
classified_watch,
classification,
canonical_message,
message_occurrence,
classification_settings,
ai_connector,
saved_view,
whatsapp_session,
whatsapp_group,
market_alert,
contact_profile,
outbound_text_send,
workspace
entity_id
string
required
Minimum string length: 1

Query Parameters

scope
enum<string>
default:timeline

timeline includes curated related events; direct includes only events where the requested entity is primary.

Available options:
timeline,
direct
category
enum<string>
Available options:
ingest,
session,
group,
message,
media,
classification,
market,
ai_settings,
view,
alert,
profile,
replay,
system
from_ms
integer<int64>
to_ms
integer<int64>
cursor
string
page_size
integer
default:50
Required range: 1 <= x <= 200

Response

Cursor page of entity log entries.

entity
object
required
scope
enum<string>
default:timeline
required

timeline includes curated related events; direct includes only events where the requested entity is primary.

Available options:
timeline,
direct
items
object[]
required
has_more
boolean
required
next_cursor
string | null